"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FetchLoader = void 0;
const react_1 = __importDefault(require("react"));
const FetchLoader = ({ children, active, placeholder }) => {
    if (!active) {
        return react_1.default.createElement(react_1.default.Fragment, null, children);
    }
    return react_1.default.createElement("div", { className: "animate-pulse flex-1 py-1" }, placeholder !== null && placeholder !== void 0 ? placeholder : null);
};
exports.FetchLoader = FetchLoader;
